@import 'src/assets/scss/core/functions';
@import "src/assets/scss/core/breakpoints";
@import "src/assets/scss/core/mixins";
@import "src/assets/scss/settings";


.modal {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 100;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  background-color: rgba($black-color, 0.8);

  &__body {
    position: relative;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    background-color: $white-color;

    @include media-breakpoint-up(sm) {
      position: relative;
      height: auto;
      width: 500px;
    }

    .modal--news & {
      width: 900px;
      height: auto;
      min-height: 700px;
      max-height: 900px;
    }
  }

  &__content {
    margin-top: 20px;
    overflow-y: auto;
  }

  &__header {
    position: relative;
    //margin-bottom: 20px;
    padding: 20px 15px 25px 15px;
    padding-right: 50px;
    min-height: 100px;

    @include media-breakpoint-up(sm) {
      min-height: auto;
    }

    @include media-breakpoint-up(md) {
      padding-left: 25px;
    }

    .modal--news & {
      padding-bottom: 0;
    }
  }

  &__header small {
    display: block;
    font-size: 14px;
    color: rgba($gray-dark-color, 0.7);
    text-transform: none;
    font-weight: 400;
  }

  &__header b {
    color: $gray-dark-color;
  }

  :host ::ng-deep &__contact {
    position: relative;
    height: 5px;
    background: linear-gradient(45deg, $white-color, #efcd4f);

    svg {
      margin-right: 5px;
      display: inline-block;
      width: 15px;
      height: 15px;
      fill: $white-color;
      vertical-align: middle;
    }

    a {
      display: inline-block;
      font-size: 14px;
      color: $white-color;
      text-decoration: none;
      vertical-align: middle;

      &:hover {
        opacity: 0.7;
      }
    }
  }

  &__contact--inner {
    position: absolute;
    top: -16px;
    right: 0;
    padding: 7px 30px;
    display: inline-block;
    background-color: rgba($yellow-color, 1);

    .modal--news & {
      display: none;
    }
  }

  &__title {
    margin: 0;
    margin-bottom: 15px;
    font-size: 21px;
    line-height: 23px;
    text-transform: uppercase;
    color: $gray-dark-color;

    @include media-breakpoint-up(md) {
      font-size: 22px;
      line-height: 24px;
    }
  }

  &__close {
    position: absolute;
    top: 0;
    right: 13px;
    margin: 0;
    padding: 0;
    font-family: var(--font-text);
    font-size: 45px;
    background-color: transparent;
    border: none;
    color: $yellow-color;
    cursor: pointer;
    outline: none;

    @include media-breakpoint-up(sm) {
      top: 0px;
      right: 15px;
    }

    &:hover {
      color: rgba($yellow-color, 0.7);
    }

    &:active {
      color: rgba($yellow-color, 0.7);
    }

  }
}
